Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.exception
Class UDDIException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.uddi.client.structures.exception.UDDIException

public class UDDIException
extends java.lang.Exception

UDDIException structure represents a fault that can be returned by any of the inquiry and publish calls due to an error or failure.

Version:
  1.0
Author:
  Salman Khan, Jason Ong
See Also:
  Serialized Form

Constructor Summary
`UDDIException()` Class Constructor

Method Summary
`DispositionReport` | `getDispositionReport()` Gets the disposition report.
`java.lang.String` | `getFaultActor()` Gets the value of fault actor.
`java.lang.String` | `getFaultCode()` Gets the value of the fault code.
`java.lang.String` | `getFaultString()` Gets the value of the fault string.
`void` | `setDispositionReport(DispositionReport value)` Sets the disposition report.
`void` | `setFaultActor(java.lang.String value)` Sets the value of the fault actor.
`void` | `setFaultCode(java.lang.String value)` Sets the value of the fault code.
`void` | `setFaultString(java.lang.String value)` Sets the value of the fault string

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UDDIException

    public UDDIException()

  Class Constructor

Method Detail

### getFaultCode

    public java.lang.String getFaultCode()

  Gets the value of the fault code.

  Returns:
    the current value of the fault code.

### setFaultCode

    public void setFaultCode(java.lang.String value)

  Sets the value of the fault code.

  Parameters:
    `the` - new value of the fault code.

### getFaultString

    public java.lang.String getFaultString()

  Gets the value of the fault string.

  Returns:
    the current value of the fault string.

### setFaultString

    public void setFaultString(java.lang.String value)

  Sets the value of the fault string

  Parameters:
    `the` - new value of the fault string

### getFaultActor

    public java.lang.String getFaultActor()

  Gets the value of fault actor.

  Returns:
    the current value fault actor.

### setFaultActor

    public void setFaultActor(java.lang.String value)

  Sets the value of the fault actor.

  Parameters:
    `the` - new value of the fault actor.

### getDispositionReport

    public DispositionReport getDispositionReport()

  Gets the disposition report.

  Returns:
    the current disposition report.

### setDispositionReport

    public void setDispositionReport(DispositionReport value)

  Sets the disposition report.

  Parameters:
    `the` - new disposition report.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference